//
// Classi per rappresentare un Impiegato ed un Manager. Prima versione.
//

const MAXSTRING = 30;
const MAXGRUPPO = 15;



// Classe base Impiegato.
class Impiegato {
private:
  char nome[MAXSTRING];		// Nome dell'impiegato
  int eta;			// L'eta

protected:
  char dipartimento[MAXSTRING];	// Il dipartimento a cui e` assegnato
  float salario;		// Il salario

public:
  Impiegato(char *n, int e);	// Il costruttore

  void Print();			// Stampa delle informazioni personali
  void SetSalario(float s);	// Assegna un salario
  void SetDip(char *d);		// Assegna un Dipartimento
};



// Classe derivata Manager: un Manager E` comunque un impiegato!
class Manager: public Impiegato {
private:
  int livello;			// Un Manager ha un livello
  Impiegato *gruppo[MAXGRUPPO];	// Un Manager controlla un gruppo di Impiegati
  int numimp;			// Il numero di impiegati del gruppo

public:
  Manager(char *n, int l, int e);	// Il costruttore
  void Print();			// Stampa le informazioni personali del Manager
  void AddToGrp(Impiegato *i);	// Aggiunge un impiegato al gruppo del Manager
};
